Subject: RE: [PATCH 5.7.x] RE: perl-5.6.1 DB_file support
From: "Paul Marquess" <[email-masked]>
To: "Jarkko Hietaniemi" <[email-masked]>
Cc: <[email-masked]>, "Reini Urban" <[email-masked]>, <[email-masked]>, <[email-masked]>
Date: Thu, 18 Jan 2001 09:17:13 -0000

From: Jarkko Hietaniemi [mailto:[email-masked]]

> On Mon, Jan 15, 2001 at 08:02:12PM -0000, Paul Marquess wrote:
> > I've a feeling this may not be ok to make use of ls like I do
> in the patch
>
> It's rather naughty but it's inside Configure so it's hard to spot.
> You don't need to use ls, though, just echo would do.

Quite true.

> But more
> importantly, is looking just under /usr/local going to work?
> /usr/local may be the default but can't people install BerkeleyDB
> pretty anywhere they want?  I have worked in many places where
> /usr/local simply wasn't an option, for various technical and/or
> political reasons.  I think we need to look under all the preceding
> directories (without the /include, with the BerkeleyDB*) in locincpth.

My take on this is that /usr/local/BerkeleyDB*/{include|lib} is the default
place Berkeley DB will install itself if the user doesn't override it, so
it's one of the first places to look for it.

Next is the location where standard Unix/Linux/FreeBSD/etc distributions
store Berkeley DB. Russ Allbery seems to have listed a few in his message.

After that we get into second guessing where a user may have installed it.
Russ' script does a good job of looking in all the likely places. I think we
should adapt it for Configure.

Paul

__________________________________________________
Do You Yahoo!?
Talk to your friends online with Yahoo! Messenger.
http://im.yahoo.com

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple